backend:
  name: github
  repo: chetan/chetanislazy.com
  site_id: chetanislazy.com
collections:
- delete: false
  fields:
  - label: Title
    name: title
    widget: string
  - default: true
    label: Draft
    name: draft
    widget: boolean
  - label: Body
    name: body
    widget: markdown
  - default: '{{now}}'
    label: Date
    name: date
    widget: datetime
  - default: chetan
    label: Author
    name: author
    widget: string
  - label: Category
    name: category
    required: false
    widget: list
  - label: Tags
    name: tag
    required: false
    widget: list
  - label: URL
    name: url
    value: /blog/{{fields.date | date('YYYY')}}/{{slug}}
    widget: compute
  folder: content/blog/posts
  label: Blog Posts
  name: blog
  path: '{{year}}/{{slug}}'
  sortable_fields:
    default:
      direction: descending
      field: date
    fields:
    - title
    - date
  view_filters:
  - field: draft
    label: Drafts
    pattern: true
  view_groups:
    default: year
    groups:
    - field: date
      label: Year
      name: year
      pattern: '\d{4}'
locale: en-US
media_folder: static/images/uploads
public_folder: /images/uploads
search: true
site_url: https://chetanislazy.com/
